diff --git a/doc/src/sgml/ref/analyze.sgml b/doc/src/sgml/ref/analyze.sgml
index a4002d5..5ad1eaa 100644
--- a/doc/src/sgml/ref/analyze.sgml
+++ b/doc/src/sgml/ref/analyze.sgml
@@ -176,6 +176,17 @@ ANALYZE [ VERBOSE ] [ <replaceable class="PARAMETER">table</replaceable> [ ( <re
    <command>ALTER TABLE ... ALTER COLUMN ... SET (n_distinct = ...)</>
    (see <xref linkend="sql-altertable">).
   </para>
+
+  <para>
+    If the table being analyzed has one or more children,
+    <command>ANALYZE</command> will gather statistics twice: once on the
+    rows of the parent table only, and a second time on the rows of the
+    parent table with all of its children.  The autovacuum daemon, however,
+    will only consider inserts or updates on the parent table when deciding
+    whether to trigger an automatic analyze.  If that table is rarely
+    inserted into or updated, the inheritance statistics will not be up to date
+    unless you run <command>ANALYZE</command> manually.
+  </para>
  </refsect1>
 
  <refsect1>